Bug 107785 - There's no download link to the SDK
Summary: There's no download link to the SDK
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 23:26 UTC by kstenerud
Modified: 2017-08-23 14:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kstenerud 2017-05-11 23:26:00 UTC
There's no link to download the SDK on http://api.libreoffice.org or http://api.libreoffice.org/docs/install.html

Searching Libreoffice SDK in google brings you to those pages.
Comment 1 Regina Henschel 2017-05-12 13:48:51 UTC
Download of SDK and source are in the lower part of the official download page http://www.libreoffice.org/download/download/

But I agree, there should be a hint or a direct link to it in  http://api.libreoffice.org or http://api.libreoffice.org/docs/install.html.
Comment 2 Commit Notification 2017-08-17 13:46:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cecf138815770ade61c090efad2258f5baf5c9a

tdf#107785 odk: document where to download the SDK

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl 2017-08-17 13:48:18 UTC
i've added a link that should show up on http://api.libreoffice.org/docs/install.html at some undetermined point in the future when
the content on the server is updated.
Comment 4 Commit Notification 2017-08-23 14:38:48 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20989f6c206619e527d57d79d5b8b7c8ef3fe70d&h=libreoffice-5-4

tdf#107785 odk: document where to download the SDK

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.